TICKIT_PEN_GET_BOOL_ATTR(3)

NAME
tickit_pen_get_bool_attr, tickit_pen_set_bool_attr - manipulate a boolean pen attribute

SYNOPSIS
    #include <tickit.h>

    bool tickit_pen_get_bool_attr(TickitPen *pen, TickitPenAttr attr);
    void tickit_pen_set_bool_attr(TickitPen *pen, TickitPenAttr attr, bool val);

Link with -ltickit.

DESCRIPTION
tickit_pen_get_bool_attr() returns the current value of the given boolean attribute on the pen, or false if that attribute is not defined.

tickit_pen_set_bool_attr() provides a new value for the given boolean attribute on the pen. It will invoke the TICKIT_EV_CHANGE event on the pen instance.

RETURN VALUE
tickit_pen_get_bool_attr() returns a boolean. tickit_pen_set_bool_attr() returns no value.

SEE ALSO
tickit_pen_new(3), tickit_pen_has_attr(3), tickit_pen_set_int_attr(3), tickit_pen_set_colour_attr(3), tickit_pen_clear_attr(3), tickit_pen(7), tickit(7)